dpkg-parsechangelog(1)

NAME
dpkg-parsechangelog - parse Debian changelog files

SYNOPSIS
dpkg-parsechangelog [option...]

DESCRIPTION
dpkg-parsechangelog reads and parses the changelog of an unpacked Debian source tree and outputs the information in it to standard output in a machine-readable form.

OPTIONS

-lchangelogfile
    Specifies the change log file to read information from. The default is debian/changelog.

-Fchangelogformat
    Specifies the format of the changelog. By default the format is read from a special line near the bottom of the changelog or failing that defaults to the debian standard format.

-Llibdir
    Specify an additional directory to search for parser scripts. This directory is searched before the default directories which are currently /usr/local/lib/dpkg/parsechangelog and /usr/lib/dpkg/parsechangelog.

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

  Parser Options
The following options can be used to influence the output of the changelog parser, e.g. the range of entries or the format of the output. They need to be supported by the parser script in question. See also CAVEATS.

--format outputformat
    Set the output format. Currently supported values are dpkg and rfc822. dpkg is the classic output format (from before this option existed) and the default. It consists of one paragraph in Debian control format (see deb-control(5)). If more than one entry is requested, then most fields are taken from the latest entry, except otherwise stated:

    Source: pkg-name

    Version: version

    Distribution: target-distribution

    Urgency: urgency
        The highest urgency of all included entries is used.

    Maintainer: author

    Date: date

    Closes: bug-number
        The Closes fields of all included entries are merged.

    Changes: changelog-entries
        The text of all changelog entries is concatenated. To make this field a valid Debian control format multiline field empty lines are replaced with a single full stop and all lines is intended by one space character. The exact content depends on the changelog format.

    There might be additional user-defined fields present.

    The rfc822 format uses the same fields but outputs a separate paragraph for each changelog entry so that all metadata for each entry is preserved.

--since version, -sversion, -vversion
    include all changes later than version.

--until version, -uversion
    include all changes earlier than version.

--from version, -fversion
    include all changes equal or later than version.

--to version, -tversion
    include all changes up to or equal than version.

--count number, -cnumber, -nnumber
    include number entries from the top (or the tail if number is lower than 0).

--offset number, -onumber
    change the starting point for --count, counted from the top (or the tail if number is lower than 0).

--all
    include all changes. Note: other options have no effect when this is in use.

CAVEATS
All Parser Options except for -v are only supported in dpkg, version 1.14.16 and later. Third party parsers for changelog formats other than debian might not support all options.

FILES

debian/changelog
    The changelog file, used to obtain version-dependent information about the source package, such as the urgency and distribution of an upload, the changes made since a particular release, and the source version number itself.